Endpoints
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST | |
GET | |
GET | |
GET |
List all environments endpoints
List all endpoints for the team.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
Query parameters
- created_byinteger
- is_activeboolean
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:environment_id /endpointsExample response
Status 200
List all environments endpoints
List all endpoints for the team.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
Query parameters
- created_byinteger
- is_activeboolean
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:environment_id /endpointsExample response
Status 200
Create environments endpoints
Create a new endpoint.
Required API key scopes
endpoint:writePath parameters
- environment_idstring
Request parameters
- namestring
- query
- descriptionstring
- cache_age_secondsnumber
- is_activeboolean
- is_materializedboolean
- sync_frequencystring
- derived_from_insightstring
- versioninteger
- bucket_overridesobject
- deletedboolean
Response
Example request
POST /api /environments /:environment_id /endpointsExample response
Status 201
Create environments endpoints
Create a new endpoint.
Required API key scopes
endpoint:writePath parameters
- environment_idstring
Request parameters
- namestring
- query
- descriptionstring
- cache_age_secondsnumber
- is_activeboolean
- is_materializedboolean
- sync_frequencystring
- derived_from_insightstring
- versioninteger
- bucket_overridesobject
- deletedboolean
Response
Example request
POST /api /environments /:environment_id /endpointsExample response
Status 201
Retrieve environments endpoints
Retrieve an endpoint, or a specific version via ?version=N.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Response
Example request
GET /api /environments /:environment_id /endpoints /:nameExample response
Status 200
Retrieve environments endpoints
Retrieve an endpoint, or a specific version via ?version=N.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Response
Example request
GET /api /environments /:environment_id /endpoints /:nameExample response
Status 200
Update environments endpoints
Update an existing endpoint.
Required API key scopes
endpoint:writePath parameters
- environment_idstring
- namestring
Request parameters
- namestring
- query
- descriptionstring
- cache_age_secondsnumber
- is_activeboolean
- is_materializedboolean
- sync_frequencystring
- derived_from_insightstring
- versioninteger
- bucket_overridesobject
- deletedboolean
Response
Example request
PATCH /api /environments /:environment_id /endpoints /:nameExample response
Status 200
Update environments endpoints
Update an existing endpoint.
Required API key scopes
endpoint:writePath parameters
- environment_idstring
- namestring
Request parameters
- namestring
- query
- descriptionstring
- cache_age_secondsnumber
- is_activeboolean
- is_materializedboolean
- sync_frequencystring
- derived_from_insightstring
- versioninteger
- bucket_overridesobject
- deletedboolean
Response
Example request
PATCH /api /environments /:environment_id /endpoints /:nameExample response
Status 200
Delete environments endpoints
Delete an endpoint and clean up materialized query.
Required API key scopes
endpoint:writePath parameters
- environment_idstring
- namestring
Example request
DELETE /api /environments /:environment_id /endpoints /:nameExample response
Status 204 No response body
Delete environments endpoints
Delete an endpoint and clean up materialized query.
Required API key scopes
endpoint:writePath parameters
- environment_idstring
- namestring
Example request
DELETE /api /environments /:environment_id /endpoints /:nameExample response
Status 204 No response body
Create environments endpoints materialization preview
Preview the materialization transform for an endpoint. Shows what the query will look like after materialization, including range pair detection and bucket functions.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Request parameters
- versioninteger
- bucket_overridesobject
Example request
POST /api /environments /:environment_id /endpoints /:name /materialization_previewExample response
Status 200 No response body
Create environments endpoints materialization preview
Preview the materialization transform for an endpoint. Shows what the query will look like after materialization, including range pair detection and bucket functions.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Request parameters
- versioninteger
- bucket_overridesobject
Example request
POST /api /environments /:environment_id /endpoints /:name /materialization_previewExample response
Status 200 No response body
Retrieve environments endpoints materialization status
Get materialization status for an endpoint. Supports ?version=N query param.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Response
Example request
GET /api /environments /:environment_id /endpoints /:name /materialization_statusExample response
Status 200
Retrieve environments endpoints materialization status
Get materialization status for an endpoint. Supports ?version=N query param.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Response
Example request
GET /api /environments /:environment_id /endpoints /:name /materialization_statusExample response
Status 200
Retrieve environments endpoints openapi.json
Get OpenAPI 3.0 specification for this endpoint. Use this to generate typed SDK clients.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Example request
GET /api /environments /:environment_id /endpoints /:name /openapi.jsonExample response
Status 200 No response body
Retrieve environments endpoints openapi.json
Get OpenAPI 3.0 specification for this endpoint. Use this to generate typed SDK clients.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Example request
GET /api /environments /:environment_id /endpoints /:name /openapi.jsonExample response
Status 200 No response body
Retrieve environments endpoints run
Execute endpoint with optional materialization. Supports version parameter, runs latest version if not set.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Response
Example request
GET /api /environments /:environment_id /endpoints /:name /runExample response
Status 200
Retrieve environments endpoints run
Execute endpoint with optional materialization. Supports version parameter, runs latest version if not set.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Response
Example request
GET /api /environments /:environment_id /endpoints /:name /run